VMSTAT(8)

NAMN
vmstat — Rapportera statistik över virtuellt minne

SYNOPSIS
vmstat [flaggor] [fördröjning [antal]]

BESKRIVNING
vmstat rapporterar information om processer, minne, sidväxling, block-I/O, fällor, disk- och cpu-aktivitet.

Den första producerade rapporten ger genomsnitt sedan senaste omstarten. Följande rapporter ger information om en samplingsperiod med längden fördröjning. Process- och minnesrapporterna är ögonblickliga i båda fallen.

FLAGGOR

fördröjning
    Fördröjningen mellan uppdateringar i sekunder. Om ingen fördröjning anges skrivs endast en rapport med genomsnittsvärdena sedan start.

antal
    Antal uppdateringar. I avsaknad av antal, när fördröjning är definierad, är standardvärdet oändligt.

-a, --active
    Visa aktivt och inaktivt minne, förutsatt en kärna 2.5.41 eller bättre.

-f, --forks
    Flaggan -f visar antalet avgreningar sedan start. Detta inkluderar systemanropen fork, vfork och clone, och är likvärdigt med antalet skapade uppgifter. Varje process representeras av en eller flera uppgifter, beroende på trådanvändning. Denna visning uppdateras inte.

-m, --slabs
    Visa skivinformation.

-n, --one-header
    Visa endast huvudet en gång istället för periodiskt.

-s, --stats
    Visar en tabell över olika händelseräknare och minnesstatistik. Denna visning upprepas inte.

-d, --disk
    Rapportera diskstatistik (2.5.70 eller senare krävs).

-D, --disk-sum
    Rapportera en del sammanfattande statistik om diskaktivitet.

-p, --partition enhet
    Detaljerad statistik om partitioner (2.5.70 eller senare krävs).

-S, --unit tecken
    Byter utmatning mellan 1000 (k), 1024 (K), 1000000 (m) eller 1048576 (M) byte. Observera att detta inte ändrar fälten för växling (vi/vo) eller block (bi/bu).

-t, --timestamp
    Lägg till en tidsstämpel till varje rad

-w, --wide
    Brett utmatningsläge (användbart för system med större mängder minne, där standardläget för utmatning drabbas av oönskade trasiga kolumner). Utmatningen är bredare än 80 tecken per rad.

-y, --no-first
    Uteslut den första rapporten med statistik sedan systemstart.

-V, --version
    Visa versionsinformation och avsluta.

-h, --help
    Visa hjälp och avsluta.

FÄLTBESKRIVNING FÖR VM-LÄGET

  Procs
k: Antalet körbara processer (körande eller väntande på körtid).
b: Antalet processer blockerade väntande på I/O för att fortsätta.

  Minne
Dessa påverkas av flaggan --unit.
växl: mängden använt växlingsminne.
fritt: mängden oanvänt minne.
buff: mängden minne använt som buffertar.
cache: mängden minne använt som cache.
inakt: mängden inaktivt minne. (flaggan -a)
aktivt: mängden aktivt minne. (flaggan -a)

  Växling
Dessa påverkas av flaggan --unit.
vi: Mängden minne växlat in från disk (/s).
vu: Mängden minne växlat ut till disk (/s).

  IO
bi: Kibibyte mottagna från en blockenhet (KiB/s).
bu: Kibibyte skickade till en blockenhet (KiB/s).

  System
avb: Antalet avbrott per sekund, inklusive klockan.
ktxb: Antalet kontextbyten per sekund.

  CPU
Detta är procentandelar av total CPU-tid.
an: Tid tillbringad att köra icke-kärnkod.  (användartid, inklusive nice-tid)
sy: Tid tillbringad att köra kärnkod.  (systemtid)
in: Tid tillbringad inaktiv.  Före Linux 2.5.41 inkluderar detta IO-väntetid.
vä: Tid tillbringad väntande på IO.  Före Linux 2.5.41 inkluderat i inaktiv.
st: Tid stulen från en virtuell maskin.  Före Linux 2.6.11, okänd.
gä: Tid tillbringar med att köra KVM-gästkod (gästtid, inklusive gäst-nice).

FÄLTBESKRIVNING FÖR DISK-LÄGET

  Läsningar
totalt: Totalt avslutade lyckade läsningar
grupp: grupperade läsningar (resulterar i en I/O)
sektor: Sektorer lyckat lästa
ms: millisekunder tillbringat med läsningar

  Skrivningar
totalt: Totalt avslutade lyckade skrivningar
grupp: grupperade skrivningar (resulterar i en I/O)
sektor: Sektorer lyckat skrivna
ms: millisekunder tillbringat med skrivningar

  IO
akt: pågående I/O
s: sekunder tillbringat i I/O

FÄLTBESKRIVNING FÖR DISKPARTITIONSLÄGET
läsningar: Totalt antal läsningar skickade till denna partition
lästa sektorer: Totalt lästa sektorer från partitionen
skrivningr: Totalt antal skrivningar skickade till denna partition
beg skrivn: Totalt antal skrivbegäranden gjorda för partitionen

FÄLTBESKRIVNING FÖR SKIVLÄGET
Slab-läge visar statistik per slab, för mer information om denna information se slabinfo(5)

cache: Cachenamn
antal: Antal för närvarande aktiva objekt
totalt: Totalt antal tillgängliga objekt
strlk: Storlek på varje objekt
sidor: Antal sidor med åtminstone ett aktivt objekt

OBSERVERA
vmstat kräver läsåtkomst av filer under /proc. Flaggan -m kräver läsåtkomst av /proc/slabinfo vilket kanske inte är tillgängligt för vanliga användare. Monteringsflaggor för /proc såsom subset=pid kan också påverka vad som är synligt.

SE ÄVEN
free(1), iostat(1), mpstat(1), ps(1), sar(1), top(1), slabinfo(5)

RAPPORTERA FEL
Skicka felrapporter till procps@freelists.org Skicka synpunkter på översättningen till tp-sv@listor.tp-sv.se